Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardServer

    java.lang.Object
      |
      +--org.apache.catalina.core.StandardServer

public final class StandardServer
extends java.lang.Object
implements Lifecycle, Server

Standard implementation of the Server interface, available for use (but not required) when deploying and starting Catalina.

Version:
  $Revision: 1.12.2.1 $ $Date: 2002/01/31 21:19:59 $
Author:
  Craig R. McClanahan

Fields inherited from interface org.apache.catalina.Lifecycle
`START_EVENT, STOP_EVENT`

Constructor Summary
`StandardServer()` Construct a default instance of this class.

Method Summary
`void` | `addLifecycleListener(LifecycleListener listener)` Add a LifecycleEvent listener to this component.
`void` | `addService(Service service)` Add a new Service to the set of defined Services.
`void` | `await()` Wait until a proper shutdown command is received, then return.
`Service[]` | `findServices()` Return the set of Services defined within this Server.
`java.lang.String` | `getInfo()` Return descriptive information about this Server implementation and the corresponding version number, in the format `<description>/<version>`.
`int` | `getPort()` Return the port number we listen to for shutdown commands.
`java.lang.String` | `getShutdown()` Return the shutdown command string we are waiting for.
`void` | `initialize()` Invoke a pre-startup initialization.
`void` | `removeLifecycleListener(LifecycleListener listener)` Remove a LifecycleEvent listener from this component.
`void` | `removeService(Service service)` Remove the specified Service from the set associated from this Server.
`void` | `setPort(int port)` Set the port number we listen to for shutdown commands.
`void` | `setShutdown(java.lang.String shutdown)` Set the shutdown command we are waiting for.
`void` | `start()` Prepare for the beginning of active use of the public methods of this component.
`void` | `stop()` Gracefully terminate the active use of the public methods of this component.
`java.lang.String` | `toString()` Return a String representation of this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardServer

    public StandardServer()

  Construct a default instance of this class.

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Server implementation and the corresponding version number, in the format `<description>/<version>`.
  Specified by:
    getInfo in interface Server

### getPort

    public int getPort()

  Return the port number we listen to for shutdown commands.
  Specified by:
    getPort in interface Server

### setPort

    public void setPort(int port)

  Set the port number we listen to for shutdown commands.
  Specified by:
    setPort in interface Server
  Parameters:
    `port` - The new port number

### getShutdown

    public java.lang.String getShutdown()

  Return the shutdown command string we are waiting for.
  Specified by:
    getShutdown in interface Server

### setShutdown

    public void setShutdown(java.lang.String shutdown)

  Set the shutdown command we are waiting for.
  Specified by:
    setShutdown in interface Server
  Parameters:
    `shutdown` - The new shutdown command

### addService

    public void addService(Service service)

  Add a new Service to the set of defined Services.
  Specified by:
    addService in interface Server
  Parameters:
    `service` - The Service to be added

### await

    public void await()

  Wait until a proper shutdown command is received, then return.
  Specified by:
    await in interface Server

### findServices

    public Service[] findServices()

  Return the set of Services defined within this Server.
  Specified by:
    findServices in interface Server

### removeService

    public void removeService(Service service)

  Remove the specified Service from the set associated from this Server.
  Specified by:
    removeService in interface Server
  Parameters:
    `service` - The Service to be removed

### toString

    public java.lang.String toString()

  Return a String representation of this component.
  Overrides:
    toString in class java.lang.Object

### addLifecycleListener

    public void addLifecycleListener(LifecycleListener listener)

  Add a LifecycleEvent listener to this component.
  Specified by:
    addLifecycleListener in interface Lifecycle
  Parameters:
    `listener` - The listener to add

### removeLifecycleListener

    public void removeLifecycleListener(LifecycleListener listener)

  Remove a LifecycleEvent listener from this component.
  Specified by:
    removeLifecycleListener in interface Lifecycle
  Parameters:
    `listener` - The listener to remove

### start

    public void start()
               throws LifecycleException

  Prepare for the beginning of active use of the public methods of this component. This method should be called before any of the public methods of this component are utilized. It should also send a LifecycleEvent of type START_EVENT to any registered listeners.
  Specified by:
    start in interface Lifecycle
  Throws:
    java.lang.IllegalStateException - if this component has already been started
    LifecycleException - if this component detects a fatal error that prevents this component from being used

### stop

    public void stop()
              throws LifecycleException

  Gracefully terminate the active use of the public methods of this component. This method should be the last one called on a given instance of this component. It should also send a LifecycleEvent of type STOP_EVENT to any registered listeners.
  Specified by:
    stop in interface Lifecycle
  Throws:
    java.lang.IllegalStateException - if this component has not been started
    LifecycleException - if this component detects a fatal error that needs to be reported

### initialize

    public void initialize()
                    throws LifecycleException

  Invoke a pre-startup initialization. This is used to allow connectors to bind to restricted ports under Unix operating environments.
  Specified by:
    initialize in interface Server
  Tags copied from interface: Server
  Throws:
    LifecycleException - If this server was already initialized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.